#!/usr/local/bin/tclsh

# simple loading the shared-library:
load ./pdflib.so

# using pdflib as package:
# lappend is unnecessary if installed at some right place

lappend auto_path .
package require pdflib

# doesn't yet work
#namespace import pdflib::*

set fp [fopen hello_tcl.pdf w]

set ip [PDF_get_info]

PDF_info_Creator_set $ip "hello.tcl"
PDF_info_Author_set $ip "RJS"
PDF_info_Title_set $ip "Hello world (Tcl)"
PDF_info_fontpath_set $ip "../../fonts"

set p [PDF_open $fp $ip]

PDF_begin_page $p 595 842
PDF_set_font $p Helvetica-Bold 18.0 $winansi
PDF_set_text_pos $p 50 700
PDF_show $p "Hello world!"
PDF_continue_text $p "(says Tcl)"
PDF_end_page $p
PDF_close $p
